/*
 *	Interface to MP3 LAME encoding engine
 *
 *	Copyright (c) 1999 Mark Taylor
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

void lame_init(void);
void lame_cleanup(void);
void lame_usage(char *);
void lame_parse_args(int, char **);
void lame_print_config(void);

/* read one frame of PCM data from audio input file */
int lame_read(short int Buffer[2][1152]);



/* encode 1 frame, return mp3frame */
/* Note: not yet written! */
int lame_encode(short int Buffer[2][1152], char *mp3buffer);

/* encode 1 frame, write data to file */
int lame_encode_tofile(short int Buffer[2][1152]);



/* input 1 mp3 frame, output (maybe) 1 pcm frame.  There
is a delay, and it may not return any data until you give it a 
second, third or forth frame. */
/* Note: not yet written! */
int lame_decode(short int Buffer[2][1152], char *mp3buffer);

/* read mp3 file until mpglib returns one frame of PCM data */
/* routine needs work */
int lame_decode_fromfile(void);




